<?php
require('../common.php');
if ( $argc < 2 )   die();

function chr_wh( $s )
{
	$arr = array();
	$t1 = ( $s & 0x7f );
		$arr[0] = $t1 + 2;
	$t1 = ( $s >> 8 ) & 0xf;
		$arr[1] = ($t1 + 1) * 8;
	return $arr;
}


for ( $i=1; $i < $argc; $i++ )
{
	$fp  = fopen( $argv[$i], "rb" );
	$tim = fopen( $argv[$i].".tim", "wb" );
	if ( !$fp || !$tim )  die();

	$chrhead = array();
	$off = 0x10;
	$max_w = 0;
	$max_h = 0;
	$spr_n = 0;
	$spr_s = frint2b( $fp, $off );
	while ( $spr_s > 0 )
	{
		$chrhead[ $spr_n ] = chr_wh( $spr_s );
		if ( $max_w < $chrhead[ $spr_n ][0] )   $max_w = $chrhead[ $spr_n ][0];
		if ( $max_h < $chrhead[ $spr_n ][1] )   $max_h = $chrhead[ $spr_n ][1];

		$off += 4;
		$spr_n++;
		$spr_s = frint2b( $fp, $off );
	}
	printf("%s MAX %dx%d NO %d\n", $argv[$i], $max_w, $max_h, $spr_n);

	$clut_pos = frint4b( $fp, 0xc );
	fwint4b( $tim, 0x10    ); // TIM ID Tag
	fwint4b( $tim, 0x8     ); // 4 BPP
	fwint4b( $tim, 0x2c    ); // CLUT Size
	fwint4b( $tim, 0       ); // Palette Org
	fwint4b( $tim, 0x10010 ); // CLUT No + Color
	copypal( $fp, $tim, $clut_pos );

	$isz = $spr_n * $max_w * $max_h;
	fwint4b( $tim, $isz+12  ); // Image Data Size
	fwint4b( $tim, 0       ); // Image Org

	$w = $max_w / 2;
	$h = ($max_h * $spr_n ) << 16;
	fwint4b( $tim, $h+$w ); // Image Size

	$st_fp = 0x10 + ($spr_n*4);
	fseek($fp, $st_fp, SEEK_SET );
	for ( $pi=0; $pi < $spr_n; $pi++ )
	{
		printf("%d %dx%d\n", $pi, $chrhead[$pi][0], $chrhead[$pi][1]);

		$py = 0;
		while( $py < $chrhead[$pi][1] )
		{
			$px = 0;
			while( $px < $chrhead[$pi][0] )
			{
				fwrite( $tim, fread($fp,1) );
				$px++;
			}
			while( ($px < $max_w) != 0 )
			{
				fwrite( $tim, ZERO );
				$px++;
			}
			$py++;
		}
		while( ($py < $max_h) != 0 )
		{
			$px = 0;
			while( ($px < $max_w) != 0 )
			{
				fwrite( $tim, ZERO );
				$px++;
			}
			$py++;
		}
	}

	fclose($fp);
	fclose($tim);
}

