#!/bin/bash

function tilechr()
{
	[ -d "t" ] || mkdir -p "t"

	convert -crop "$2"x"$3"   "$1"_CHR.png   t/t-%08d.png
	montage -verbose -strip \
		-geometry '1x1<' \
		-background none \
		-tile 8x   \
		t/t-*.png   \
		"REL [$1].png"
	rm -vfr "t"
}
tilechr HERO000 40 56
tilechr HERO001 40 56
tilechr HERO002 40 56
tilechr HERO003 40 56
tilechr HERO004 40 56
tilechr HERO005 40 56
tilechr HERO006 40 56
tilechr HERO007 40 56
tilechr HERO008 40 64
tilechr HERO009 40 56
tilechr HERO00A 40 56
tilechr HERO00B 40 56
tilechr HERO00C 40 56
tilechr HERO00D 40 56
tilechr HERO00E 40 56
tilechr HERO00F 40 56
tilechr HERO010 40 56
tilechr HERO011 40 56
tilechr HERO012 48 56
tilechr HERO013 40 56
tilechr HERO014 40 56
tilechr HERO015 40 56
tilechr HERO016 40 64
tilechr HERO017 40 56
tilechr HERO018 40 56
tilechr HERO019 40 56
tilechr HERO01A 40 56
tilechr HERO01B 40 56
tilechr HERO01C 40 56
tilechr HERO01D 40 56
tilechr HERO01E 40 56
